<?php
namespace App\Models;
use Storage;

class Config extends \App\Models\AbstractModels\AbstractConfig
{
  const STATI_SEGNALAZIONI_VALIDE = 'stati_segnalazioni_valide';
  const ATTIVITA_ON_SITE = 'attivita_onsite';
  const ATTIVITA_REMOTA = 'attivita_remota';
  const CAMPO_FATTURARE = 'campo_fatturare';
  const TECNICO_AGGIUNTIVO = 14;

  public static function getConfig(){
    $config = [];
    $config['Generale'] = [
      ['key' => self::STATI_SEGNALAZIONI_VALIDE, 'value' => null, 'display_name' => 'Stati segnalazioni da mostrare al cliente', 'type' => 'array_status', 'order' => 10],
      ['key' => self::ATTIVITA_ON_SITE, 'value' => null, 'display_name' => 'Tipo attività on site', 'type' => 'activity', 'order' => 20],
      ['key' => self::ATTIVITA_REMOTA, 'value' => null, 'display_name' => 'Tipo attività remota', 'type' => 'activity', 'order' => 30],
      ['key' => self::CAMPO_FATTURARE, 'value' => null, 'display_name' => 'Campo "Fatturare?" (impostato a "Si")', 'type' => 'custom_fields', 'order' => 30],
    ];

    return $config;
  }

  public static function getValue($key){
    try{
      return Config::find($key)->value;
    }catch(\Exception $e){
      return 0;
    }
  }

}
